User profile won't load after upgrade - prompt to create new profile

Bug #1851936 reported by schollsky on 2019-11-09
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
High
Olivier Tilloy
thunderbird (Ubuntu)
High
Olivier Tilloy

Bug Description

Did upgrade to focal fossa from standard Ubuntu 19.10. Existing firefox profile won't load on starting, instead application wants new default profile.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: firefox 70.0.1+build1-0ubuntu2
Uname: Linux 5.3.9-050309-generic x86_64
AddonCompatCheckDisabled: False
ApportVersion: 2.20.11-0ubuntu9
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: stefan 1861 F.... pulseaudio
 /dev/snd/controlC0: stefan 1861 F.... pulseaudio
BuildID: 20191031000133
Channel: Unavailable
CurrentDesktop: ubuntu:GNOME
Date: Sat Nov 9 14:49:28 2019
DefaultProfileIncompatibleExtensions:
 Deutsch (DE) Language Pack - <email address hidden>
 English (GB) Language Pack - <email address hidden>
 English (South Africa) Language Pack - <email address hidden>
 Default - {972ce4c6-7e08-4474-a285-3208198ce6fd}
DefaultProfilePrefErrors: Unexpected character ',' before close parenthesis @ /usr/lib/firefox/omni.ja:greprefs.js:930
DefaultProfilePrefSources: prefs.js
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2019-05-02 (190 days ago)
InstallationMedia: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 (20190210)
IpRoute:
 default via 192.168.178.1 dev enp30s0 proto dhcp metric 100
 169.254.0.0/16 dev enp30s0 scope link metric 1000
 192.168.178.0/24 dev enp30s0 proto kernel scope link src 192.168.178.44 metric 100
MostRecentCrashID: bp-926e6dc8-5f4b-4cfe-9446-ace131180317
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
Profile1Extensions: extensions.sqlite corrupt or missing
Profile1IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
Profile1Locales: extensions.sqlite corrupt or missing
Profile1PrefErrors: Unexpected character ',' before close parenthesis @ /usr/lib/firefox/omni.ja:greprefs.js:930
Profile1PrefSources: prefs.js
Profile1Themes: extensions.sqlite corrupt or missing
Profiles:
 Profile1 - LastVersion=70.0.1/20191031000133 (In use)
 Profile0 (Default) - LastVersion=70.0.1/20191031091608 (Out of date)
RunningIncompatibleAddons: True
SourcePackage: firefox
SubmittedCrashIDs: bp-926e6dc8-5f4b-4cfe-9446-ace131180317
UpgradeStatus: Upgraded to focal on 2019-11-09 (0 days ago)
dmi.bios.date: 04/23/2019
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P5.80
dmi.board.name: AB350M-HDV
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP5.80:bd04/23/2019:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnAB350M-HDV:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: To Be Filled By O.E.M.
dmi.product.name: To Be Filled By O.E.M.
dmi.product.sku: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

schollsky (schollsky) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu):
status: New → Confirmed
Paul White (paulw2u) wrote :

This seems similar to bug 1830096

I observed this when upgrading Firefox for the first time after upgrading Ubuntu from 19.10 to 20.04. I saw no such prompt when upgrading Firefox on Ubuntu 20.04 which had been upgraded from 19.10 several weeks previously and had presumably already seen several Firefox upgrades.

summary: - Existing user profile won't load after upgrapde
+ User profile won't load after upgrade - prompt to create new profile
Dan Watkins (oddbloke) wrote :

From bug 1852790, the issue appears to be that the focal version was built before the eoan version. My current profile's compatibility.ini (from eoan):

[Compatibility]
LastVersion=70.0.1_20191031091608/20191031091608
LastOSABI=Linux_x86_64-gcc3
LastPlatformDir=/usr/lib/firefox
LastAppDir=/usr/lib/firefox/browser

vs. an upgraded profile's compatibility.ini:

[Compatibility]
LastVersion=70.0.1_20191031000133/20191031000133
LastOSABI=Linux_x86_64-gcc3
LastPlatformDir=/usr/lib/firefox
LastAppDir=/usr/lib/firefox/browser

You can see that the created-on-focal profile's LastVersion is about 9 hours older than the created-on-eoan profile's.

Dan Watkins (oddbloke) wrote :

A workaround which I've just used is to replace LastVersion in your profile's compatibility.ini with the one that the current version of firefox uses (70.0.1_20191031000133/20191031000133).

(I suspect in the short term this could be fixed by a no-change rebuild of firefox.)

Olivier Tilloy (osomon) wrote :

Dan, you're right, the focal version was built before the eoan version. I have uploaded firefox 70.0.1+build1-0ubuntu3 to focal to work around the problem.

Olivier Tilloy (osomon) on 2019-11-25
Changed in firefox (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
status: Confirmed → Fix Committed
Dan Watkins (oddbloke) wrote :

Thanks Olivier! Do we/you need to consider any process improvements to avoid this happening again in future?

Olivier Tilloy (osomon) wrote :

Dan, yes, something clearly needs to be done to prevent similar problems from happening again with future updates. This was discussed in the upstream bug report https://bugzilla.mozilla.org/show_bug.cgi?id=1553554, but no consensus was reached.

I am considering replicating what the Debian maintainers do, i.e. set MOZ_BUILD_DATE to the timestamp of the last debian/changelog entry (https://salsa.debian.org/mozilla-team/firefox/blob/release/master/debian/upstream.mk#L33). This is not foolproof though, as it will still require making sure that the changelog timestamp is exactly the same for all Ubuntu releases.

Olivier Tilloy (osomon) wrote :

I came up with a more robust solution that involves using the upstream Build ID for all Ubuntu releases: https://bazaar.launchpad.net/~mozillateam/firefox/firefox-beta.focal/revision/1321.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 71.0+build5-0ubuntu0.16.04.1

---------------
firefox (71.0+build5-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream stable release (71.0+build5)

  * Update test expectation
    - debian/tests/html5test
  * Fix build failures on armhf and s390x with clang 8
    - debian/patches/armhf-clang-no-integrated-as-for-neon.patch
    - debian/patches/s390x-fix-hidden-symbol.patch
  * Temporarily hardcode MOZ_BUILD_DATE to ensure the build ID is strictly less
    than the one for the bionic build already in bionic-updates (LP: #1851936)

 -- Olivier Tilloy <email address hidden> Wed, 11 Dec 2019 21:51:56 +0100

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released
Olivier Tilloy (osomon) wrote :

Not quite released yet, just worked around in the xenial 71.0 update that was just published.
The next major update has a proper fix though.

Changed in firefox (Ubuntu):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 72.0.1+build1-0ubuntu0.19.10.1

---------------
firefox (72.0.1+build1-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream stable release (72.0.1+build1)

  * Fix creating the source tarball with recent versions of cargo
    - debian/build/create-tarball.py

 -- Olivier Tilloy <email address hidden> Wed, 08 Jan 2020 15:53:48 +0100

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 72.0.1+build1-0ubuntu0.16.04.1

---------------
firefox (72.0.1+build1-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream stable release (72.0.1+build1)

 -- Olivier Tilloy <email address hidden> Wed, 08 Jan 2020 10:33:51 +0100

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released
Olivier Tilloy (osomon) wrote :

Thunderbird appears to be similarly affected, according to some reports.

Michał Sawicz (saviq) wrote :

The same seems to happen with Thunderbird:

Przygotowywanie do rozpakowania pakietu .../608-thunderbird_1%3a68.4.1+build1-0ubuntu1_amd64.deb ...
Rozpakowywanie pakietu thunderbird (1:68.4.1+build1-0ubuntu1) nad (1:68.4.1+build1-0ubuntu0.19.10.1) ...

And then the dialog pops up.

The compatibility.ini file diff:

--- compatibility.ini.bup 2020-01-17 12:38:36.891947696 +0200
+++ compatibility.ini 2020-01-20 13:44:26.270351824 +0200
@@ -1,5 +1,5 @@
 [Compatibility]
-LastVersion=68.4.1_20200110143530/20200110143530
+LastVersion=68.4.1_20200110122930/20200110122930
 LastOSABI=Linux_x86_64-gcc3
 LastPlatformDir=/usr/lib/thunderbird
 LastAppDir=/usr/lib/thunderbird

Olivier Tilloy (osomon) on 2020-01-20
Changed in thunderbird (Ubuntu):
status: New → Triaged
assignee: nobody → Olivier Tilloy (osomon)
Changed in firefox (Ubuntu):
importance: Undecided → High
Changed in thunderbird (Ubuntu):
importance: Undecided → High
Iain Lane (laney) wrote :

Pasting this for SEO:

The error is:

"A newer version of Thunderbird may have made changes to your profile which are no longer compatible with this older version. Use this profile only with that newer version, or create a new profile for this installation of Thunderbird. Creating a new profile requires setting up your accounts, calendars and add-ons again."

I think running with --allow-downgrade is also a workaround, in addition to the edit mentioned in comment #15

Olivier Tilloy (osomon) wrote :

Thanks Michał and Iain for the details. This is indeed the very same problem that I recently fixed in the firefox packages, so I'll replicate the fix for thunderbird.

In the meantime there are thunderbird packages in focal-proposed that were rebuilt after the ones in eoan, so once they migrate to the release pocket (which should happen soon as nothing is blocking) the issue will go away.

Olivier Tilloy (osomon) wrote :
Changed in thunderbird (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 1:68.4.2+build2-0ubuntu1

---------------
thunderbird (1:68.4.2+build2-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.4.2build2)

  * Use the upstream Build ID, to ensure it is the same across Ubuntu releases
    for a given thunderbird version (LP: #1851936)
    - debian/build/create-tarball.py
    - debian/build/rules.mk
    - debian/config/mozconfig.in

 -- Olivier Tilloy <email address hidden> Fri, 24 Jan 2020 15:05:19 +0100

Changed in thunderbird (Ubuntu):
status: Fix Committed → Fix Released
hornetster (hornetster) wrote :

I am trying to run both Opensuse Leap 15.1, and Feren OS on the same PC as dual boot.
Am getting this exact issue with Thunderbird - Version is 68.4.1 on both....
Solution?

hornetster (hornetster) wrote :

Have upgraded both to 68.4.2.
Still get the message occasionally if trying to run from existing link. If I break and remake (ie Pin) link, still get the error??
Thanks.

Dan Watkins (oddbloke) wrote :

hornetster, this is a bug specifically for Ubuntu, so it's unlikely anyone reading it will be able to help you. I would suggest filing a bug upstream, or perhaps asking a question in Stack Overflow (or similar). Thanks!

schollsky (schollsky) wrote :

Dear Sirs,

bug reappears with single home directory under dual boot condition with Manjaro. Could this be fixed or do I have to reinstall package and/or config file?

Kind regards

schollsky

Olivier Tilloy (osomon) wrote :

This would happen if manjaro and your Ubuntu version have two different versions of firefox/thunderbird. There's no easy way out of this, other than separate profile directories, I'm afraid.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.